Create a fine-tune
curl --request POST \
--url https://distillation.training.wandb.ai/v1/tasks/{alias}/finetunes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"dataset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"model_name": "<string>",
"base_model": "<string>",
"relabel_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"default_temperature": 0,
"model_config": {
"max_examples": 123,
"config": {
"batch_size": "auto",
"learning_rate": 1,
"metric_logging": {}
},
"experimental_config": {}
}
}
'import requests
url = "https://distillation.training.wandb.ai/v1/tasks/{alias}/finetunes"
payload = {
"dataset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"model_name": "<string>",
"base_model": "<string>",
"relabel_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"default_temperature": 0,
"model_config": {
"max_examples": 123,
"config": {
"batch_size": "auto",
"learning_rate": 1,
"metric_logging": {}
},
"experimental_config": {}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
dataset_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
model_name: '<string>',
base_model: '<string>',
relabel_run_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
default_temperature: 0,
model_config: {
max_examples: 123,
config: {batch_size: 'auto', learning_rate: 1, metric_logging: {}},
experimental_config: {}
}
})
};
fetch('https://distillation.training.wandb.ai/v1/tasks/{alias}/finetunes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"task_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dataset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"model_name": "<string>",
"base_model": "<string>",
"default_temperature": 0,
"status": "queued",
"training_progress": 50,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"relabel_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"model_config": {
"max_examples": 2,
"config": {
"batch_size": "auto",
"learning_rate": 1,
"assistant_turns": "all",
"metric_logging": {}
},
"experimental_config": {}
},
"dataset_artifact_ref": "<string>",
"model_artifact_ref": "<string>",
"input_usd_per_mtok": 123,
"output_usd_per_mtok": 123
}{
"error": {
"message": "Task 'missing' not found in entity 'your-team'",
"type": "not_found"
}
}Create a fine-tune
POST
/
tasks
/
{alias}
/
finetunes
Create a fine-tune
Authorizations
A personal or service-account W&B API key.
Headers
Accessible personal or team entity. Omit to use the API key's default entity.
Path Parameters
Pattern:
^[a-z0-9-]{1,64}$Body
application/json
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Minimum string length:
1Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Required range:
0 <= x <= 2Show child attributes
Show child attributes
Response
Training was queued.
Required range:
0 <= x <= 2Available options:
queued, training, deployed, failed Required range:
0 <= x <= 100Show child attributes
Show child attributes
Last modified on August 25, 2026
Was this page helpful?
⌘I